LTS 2.6.7 and PHP support

Mehr
7 Monate 3 Wochen her #173309 von jelo
COM_KUNENA_MESSAGE_CREATED_NEW
The current description of requirements for LTS 2.6.7 contains

*PHP 5.3.3 or later with the following modules/libraries enabled

github.com/LimeSurvey/LimeSurvey/blob/2....cs/release_notes.txt


That would include PHP versions like 7.0, 7.1 or 7.2.


LTS 2.6.7 under PHP 7.2?
When doing a quick installation the preinstallation check already fails under PHP 7.2.

Internal Server Error
Function name must be a string

An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.

Thank you.


PHP 7.1 looks the same.

When moving a complete installation to PHP 7.2. I see no issues.

So the installer might be a bit to edgy ;-) You can run LTS on PHP 7.2, but you cannot install it.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

LimeSurvey Partners
Mehr
7 Monate 3 Wochen her #173312 von DenisChenu
COM_KUNENA_MESSAGE_REPLIED_NEW

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .
Folgende Benutzer bedankten sich: socius

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
7 Monate 3 Wochen her #173314 von jelo
COM_KUNENA_MESSAGE_REPLIED_NEW
42

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
7 Monate 2 Wochen her #173412 von jelo
COM_KUNENA_MESSAGE_REPLIED_NEW

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 4 Wochen her #181094 von socius
COM_KUNENA_MESSAGE_REPLIED_NEW
Hi everybody,

thanks @Denis for the work on the 2.06 LTS Version - I still use this version as I am most familiar with it! I will go on to the newer versions asap, but not today :-)

Today I had to install it on my server that was updated to PHP 7.2.13. I installed the LS in the Version 2.6.7 Build SondagesPro 1.6.4. - downloaded via the DL Link on Github extensions.sondages.pro/IMG/auto/limesurvey_sondages-pro.zip

The installation went quick (and seemed to work), but the interface looks as if there was some CSS missing (s. below). Or is this version supposed to look this way? I also noticed that I cannot create a survey in this interface (s. last screenshot), because the button seems missing (all the menu parts are stacked). And: I cannot add or delete languages in the admin interface... there are probably some more things not working, but that's it for now...

Is there a simple reason/explanation/solution or is this the end of 2.6.7 LTS? I hope not! ;-)

Thanks a lot and all the best,
G






Anhang:

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 4 Wochen her #181097 von DenisChenu
COM_KUNENA_MESSAGE_REPLIED_NEW
I didn't test new install on 7.2 but don't think there can be new issue.

Maybe an 403 issue on some css/js file ? Can you open the console and look if there are some issue here ?

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 4 Wochen her #181100 von DenisChenu
COM_KUNENA_MESSAGE_REPLIED_NEW
Seems the zip have some extra directory in tmp/ , but after cleaning it (and have a writable success validation at install) : no issue.

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 4 Wochen her #181104 von socius
COM_KUNENA_MESSAGE_REPLIED_NEW
Thanks @Denis for your quick response! You are right, there are some 403 errors, pointing to
  • /tmp/assets (most of them)

and other errors pointing to
  • /index.php/admin/globalsettings
  • /scripts/admin/admin_core.js

Remark: the attributes for the tmp-directory are 776 (for all subdirectories)

Ok - so should I just try to clean the tmp directory before installation and make a new install?
Thank you!
G




Anhang:

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 4 Wochen her #181114 von DenisChenu
COM_KUNENA_MESSAGE_REPLIED_NEW
No, seems your server create file or directory with invlid rights : server need review …

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .
Folgende Benutzer bedankten sich: socius, LouisGac

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 3 Wochen her #181145 von socius
COM_KUNENA_MESSAGE_REPLIED_NEW
Thanks @Denis! Indeed it seems that the server is not working properly.

1) I tried to install LS 2.6.7 Build SondagesPro 1.6.4. again - same problem

2) I installed LS 3.16 - the installation went quick and worked - I did a testsurvey, sent E-Mails etc., but after some time I was logged out and could not login again (with correct password for sure). The login-fields appear, I fill them in, then the fields reload again, empty. I'll send a message to the helpdesk to check.

Thanks again for the hint!
Best,
G

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 3 Wochen her - 1 Monat 3 Wochen her #181150 von socius
COM_KUNENA_MESSAGE_REPLIED_NEW
Hi!

There was indeed a problem with php-sessions on the server (thanks @Denis), but it seems that these login problems had nothing to do with the 403-Errors of the new installation of LS 2.6.7. LS 3.16 is now up and running, but a new installed version of LS 2.06+ Build 160129 (the last version available on the LS Website) has the same problems as mentioned yesterday with the LS 2.6.7 Build SondagesPro 1.6.4. I'll send another screenshot with the console.

There are two running versions 2.6.4 and 2.6.7 on the server working, but it seems, that I am not able to install these LTS versions on the server anymore. What could I do or try?

Thanks for your time!
Best, G



Anhang:
Last edit: 1 Monat 3 Wochen her by socius. Begründung: Corrected LS version number

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 3 Wochen her - 1 Monat 3 Wochen her #181152 von socius
COM_KUNENA_MESSAGE_REPLIED_NEW
Hi again!

Ok - I was wrong in my last posting: to really make sure that the installation works I deleted and reinstalled LS 3.16 - and now it looks almost like as in the 2.6.7 "case" from before. Strange things happening. Yesterday I could install LS 3.16 without problems and used it for some hours, but could not login again because of a php-session problem on the server. And now it looks as if LS does not find its css and js files... strange. Anybody experienced something like this before? :(

Remark: I'm not sure if that fits into this thread anymore ("PHP support") - the only thing I know is, that last time, when the server was running php v5 the installation of 2.6.7 worked like a charm... but correlation does not mean causation ;)

Thanks for any hint!
Best, G


Anhang:
Last edit: 1 Monat 3 Wochen her by socius.

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Mehr
1 Monat 3 Wochen her #181163 von socius
COM_KUNENA_MESSAGE_REPLIED_NEW
Hi,

I think I found the cause (or at least another correlation :)! Seems I did not choose "binary" when I uploaded the files via FTP (s. manual.limesurvey.org/Installation_-_Lim...s_to_your_web_server )
Now LS 2.6.7 Build SondagesPro 1.6.4. works perfectly - thanks.

So in case the fresh installation looks as if there was something wrong with the CSS, try uploading the files in binary mode.

Thanks and all the best,
G
Folgende Benutzer bedankten sich: DenisChenu

Bitte Anmelden oder Registrieren um an der Konversation teilzunehmen.

Jetzt loslegen!

Melden Sie sich jetzt an, und erstellen Sie in wenigen Minuten Ihre erste Umfrage.

Account einrichten

Abonnieren Sie unseren Newsletter

Abonnieren Sie unseren Newsletter für alle Neuigkeiten rund um LimeSurvey
captcha